Bug 806 - undefined reference to xawPrintShellWidgetClass in Xaw6 for cygwin
Summary: undefined reference to xawPrintShellWidgetClass in Xaw6 for cygwin
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xaw (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Windows (All)
: high normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-27 07:07 UTC by Alexander Gottwald
Modified: 2007-01-23 17:34 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
proposed patch (1.47 KB, patch)
2004-06-27 07:08 UTC, Alexander Gottwald
no flags Details | Splinter Review

Description Alexander Gottwald 2004-06-27 07:07:12 UTC
xawPrintShellWidgetClass is undefined in Xaw6 and causes an link error on cygwin
since undefined symbols are not allowed in dlls.
Comment 1 Alexander Gottwald 2004-06-27 07:08:44 UTC
Created attachment 422 [details] [review]
proposed patch

wraps the symbol with #ifndef OLDXAW
Comment 2 Roland Mainz 2004-06-29 08:09:04 UTC
The patch looks OK for me...
Comment 3 Alexander Gottwald 2004-06-29 08:53:49 UTC
/cvs/xorg/xc/ChangeLog,v  <--  ChangeLog
new revision: 1.77; previous revision: 1.76
/cvs/xorg/xc/lib/Xaw/AllWidgets.c,v  <--  AllWidgets.c
new revision: 1.3; previous revision: 1.2
/cvs/xorg/xc/lib/Xaw/sharedlib.c,v  <--  sharedlib.c
new revision: 1.3; previous revision: 1.2

marked as fixed


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.